Bug 16817 - What's the difference between input/@title's and input/@placeholder's semantic? Both of them act as the user's advisor and tell you what you can do with the element. "For a longer hint [...], the title attribute is more appropriate." is the only thing I c
What's the difference between input/@title's and input/@placeholder's semanti...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 19:09 UTC by contributor
Modified: 2012-10-06 00:44 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-04-22 19:09:43 UTC
Specification: 
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
What's the difference between input/@title's and input/@placeholder's
semantic? Both of them act as the user's advisor and tell you what you can do
with the element. "For a longer hint [...], the title attribute is more
appropriate." is the only thing I could read about.

If there's (another) difference, it would be fine to describe it. If
@placeholder is just physical markup (that's what the attribute's confusing
name denotes), then I think it would be better to present @title like a
placeholder using stylesheets instead of specifing a new attribute called
@placeholder.

Posted from: 178.191.160.147
User agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.140 Safari/535.19 Comodo_Dragon/18.0.3.0
Comment 1 contributor 2012-07-18 07:20:11 UTC
This bug was cloned to create bug 17937 as part of operation convergence.
Comment 2 Silvia Pfeiffer 2012-10-06 00:44:10 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/392a2384a869500adf79a51c2632ad7d3f893c97
https://github.com/w3c/html/commit/728b99234145e82c7bf102b64fd854db10c4d613
Rationale: accepted WHATWG change